{ pkgs, ... }: {
  programs = {
    neovim = {
      enable = true;
      defaultEditor = true;
      vimAlias = true;
      plugins = with pkgs.vimPlugins; [
        vim-fugitive
        undotree
        telescope-nvim
        lsp-zero-nvim
        (nvim-treesitter.withPlugins (p: [
          p.tree-sitter-nix
          p.tree-sitter-go
          p.tree-sitter-vim
          p.tree-sitter-bash
          p.tree-sitter-json
          p.tree-sitter-python
        ]))
      ];
      extraLuaConfig = ''
        ${builtins.readFile ./options.lua}
      '';
    };
  };
  home.packages = with pkgs; [
    # nix stuff
	nixpkgs-fmt
    nil
    statix
  ];
  home.sessionVariables.EDITOR = "nvim";
}
